Attribute VB_Name = "Examples"
Sub Example1()
With New ComDlgEx
  .CheckBoxSelected = True
  .CheckBoxCaption = "&Set selected folder as default Backup destination"
  .FileName = ActiveDocument.Name 'FullName
  .DialogTitle = "Backup Document"
  .txtButtonOK = "&Backup"
  .txtLabelLookIn = "&Save copy in:"
  .IconFile = Application.Path & "\winword.exe"
  .IconIndex = 0
  Dim flt(3) As String
  flt(0) = "Documents|*.doc"
  flt(1) = "Templates|*.dot"
  flt(2) = "Wizards|*.wiz"
  flt(3) = "All Files|*.*"
  .Filter = flt
  If .ShowSave Then
    MsgBox "Backing up: " & .FileName
    If .CheckBoxSelected Then
      MsgBox "Folder selected: " & .Directory
    End If
  End If
End With
End Sub

Sub Example2()
Dim Dlg As ComDlgEx
Set Dlg = New ComDlgEx
With Dlg
  .AllowMultiSelect = True
  .CenterDialog = CenterOwner
  .DialogTitle = "Mini File Manager"
  .TemplateLibrary = "COMDLGEX.dll"
  .TemplateID = 100
  .StatusbarVisible = True
  .txtButtonOK = "OK"
  .txtButtonCancel = "&Close"
  .HelpMessage = "This is the Help text"
  .IconFile = "EXPLORER.EXE"
  .IconIndex = 1
  .txtLabelLookIn = "Current folder:"
  .txtButton1 = "&Copy..."
  .txtButton2 = "&Move..."
  .txtButton3 = "&Delete"
  .txtButton4 = "&Print"
  .txtButton5 = "&About..."
  .Filter = "All Files|*.*"
  If .ShowOpen Then
    For Each F In .FileNames
      MsgBox F
    Next
  End If
End With
Set Dlg = Nothing
End Sub

